Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607418 - X200 laptop locks up when switching to external display
X200 laptop locks up when switching to external display
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 01:06 EDT by Jes Sorensen
Modified: 2018-04-11 14:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-12 05:17:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2010-06-24 01:06:39 EDT
Description of problem:
ThinkPad X200, when booting it in dock with lid closed it insists on
coming up in dual head mode. When opening lid and pressing 'display
switch' button both internal and external screen goes black and the
laptop seems to crash. Taking it out of the dock and closing the lid
no longer suspends it etc.

This seems to happen with pretty much every way I try and get it to
switch to the external display. It also happens if I go into
System->Administration->Monitors and say 'same display on both screens'.
The only way I can get it to work is by going in and disabling the
internal display.

This is using GNOME btw.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-4.fc13.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
[jes@red-feather ~]$ lspci|grep Graphics
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
Comment 1 Jes Sorensen 2010-06-24 01:08:13 EDT
Forgot to mention that this worked fine in F12 - problem only appeared after I upgraded to F13 yesterday.
Comment 2 Matěj Cepl 2010-06-24 10:10:21 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Jes Sorensen 2010-11-12 05:17:26 EST
Upgraded to F14 and the problems seem to have gone away.

Note You need to log in before you can comment on or make changes to this bug.